import platform, os

def getOS():
    info = platform.dist()
    return_val = info[0]
    if info[0] == 'debian':
        dist_info = os.popen('cat /etc/*-release').readlines()
        try:
            name = dist_info[0].split('=')[1].split('\n')[0]
            if name == 'Ubuntu':
                return_val = name
        except (Exception):
            pass
    elif info[0] == 'redhat':
        dist_info = os.popen('cat /etc/*-release').readlines()
        try:
            name = dist_info[0].split(' ')[0]
            if name == 'CentOS':
                return_val = name
        except (Exception):
            pass
    elif info[0] == '' and info[1] == '' and info[2] == '':
        return_val = 'Arch'
    return return_val
    
def getVersion():
    info = platform.dist()
    version = info[1]
    if info[0] == "debian":
        dist_info = os.popen('cat /etc/*-release').readlines()
        try:
            name = dist_info[0].split('=')[1].split('\n')[0]
            if name == 'Ubuntu':
                version = dist_info[1].split('=')[1].split('\n')[0]
        except (Exception):
            pass
    return version
    
def getCpuCount():
    num = 1
    try:
        num = os.sysconf('SC_NPROCESSORS_ONLN')
    except (ValueError, OSError, AttributeError):
        pass
    return num
    
def getRam():
    mem = -1
    for line in open("/proc/meminfo"):
    	if "MemTotal" in line:
    		mem = int(line.split(':')[1].split('kB')[0])
    		
    if mem == -1:
        raise NotImplementedError
    else:
        return mem
