import platform, os

def getOS():
    return "Mac"
    
def getVersion():
    return platform.mac_ver()[0]
    
def getCpuCount():
    num = 1
    try:
        num = int(os.popen('sysctl -n hw.ncpu').read())
    except ValueError:
        pass
    return num
    
def getRam():
    mem = -1
    try:
        mem = int(os.popen('sysctl -n hw.physmem').read())
    except ValueError:
        pass
    return mem