import sys
import Network
import ClassAd
import Config
import time

class Starter(Network.Client):
    def run(self):
        machine = ClassAd.machine_info(False)

        self.server.send(ClassAd.encode(machine))

        
        while(1):
           time.sleep(Config.KEEPALIVE)
           keepalive = {'type':'machine_status',
                        'status': 'alive',
                        'ip': machine['ip']}


           self.server.send(ClassAd.encode(keepalive))
        
if __name__ == "__main__":
    starter = Starter(Config.IP, Config.PORT, Config.CLIENTKEY)
    starter.connect()
    starter.run()
    starter.disconnect()
