import sys
import Network
import Config

class Submitter(Network.Client):
    def run(self, filename):
        job_file = open(filename, 'r')
        job = "".join([line for line in job_file])

        self.server.send(job)
        job_file.close()
        
if __name__ == "__main__":
    if len(sys.argv) > 1:
        submitter = Submitter(Config.IP, Config.PORT, Config.CLIENTKEY)
        submitter.connect()
        submitter.run(sys.argv[1])

